### Method

# FwupdPlugin Smbios get_integer

since: 1.5.0

#### Declaration [src]

    guint
    fu_smbios_get_integer (
      FuSmbios* self,
      guint8 type,
      guint8 offset,
      GError** error
    )

#### Description [src]

Reads an integer value from the SMBIOS string table of a specific structure.

The `type` and `offset` can be referenced from the DMTF SMBIOS specification: https://www.dmtf.org/sites/default/files/standards/documents/DSP0134_3.1.1.pdf.

Available since: 1.5.0

#### Parameters

`type`

  Type: `guint8`

  A structure type, e.g. `FU_SMBIOS_STRUCTURE_TYPE_BIOS`.

`offset`

  Type: `guint8`

  A structure offset.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint`

An integer, or `G_MAXUINT` if invalid or not found.